Bug 1026252 - Review Request: kluppe - a live looping instrument
Review Request: kluppe - a live looping instrument
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 04:34 EST by Brendan Jones
Modified: 2014-06-05 03:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2013-11-04 04:34:50 EST
kluppe is a loop-player and recorder, designed for live use. It uses the jack-audio-connection-kit and OSC sound control.

SRPM: http://bsjones.fedorapeople.org/reviews/kluppe-0.6.15-1.fc20.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/kluppe.spec

Review: http://bsjones.fedorapeople.org/reviews/review-kluppe.txt
Comment 1 Volker Fröhlich 2014-01-18 17:42:35 EST
Build fails in Rawhide due to warnings being treated as errors.

You should use smp_mflags on make invocation.

"/builddir/build/BUILDROOT/kluppe-0.6.15-1.fc19.x86_64/usr/share/applications/kluppe.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
/builddir/build/BUILDROOT/kluppe-0.6.15-1.fc19.x86_64/usr/share/applications/kluppe.desktop: hint: value item "Sequencer" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: AudioVideo;Audio"

I'd suggest to use a file instead of a heredoc for the desktop file. Also submit it upstream, if you haven't yet.

Don't label the man pages with %doc. rpmbuild takes care of that itself.

cp -rp src/frontend/kluppe/%{name}.png ... -- The r doesn't serve a purpose there. Looking at the linking, klopfer doesn't seem to be a graphical program. It also has no desktop file. What's the idea behind that copy command then?

On http://dieb13.klingt.org/content/projects/kluppe.html it says that kluppe has moved to http://kluppe.klingt.org/. You should use that as the URL then.

kluppe.x86_64: E: incorrect-fsf-address /usr/share/doc/kluppe-0.6.15/LICENSE.txt -- Contact the author if you haven't yet.
Comment 2 Brendan Jones 2014-02-09 09:00:21 EST
SRPM: http://bsjones.fedorapeople.org/reviews/kluppe-0.6.15-2.fc20.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/kluppe.spec

Thanks. All issues addressed. The png file is required by the klopfer install script
Comment 3 Volker Fröhlich 2014-05-19 11:09:19 EDT
kluppe.desktop: warning: value "Application;Audio;AudioVideo;X-Sequencers;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"

Please remove "Application" from your desktop file.

I think that Requires: jack-audio-connection-kit is not necessary. The binary is linked to libjack.so.0()(64bit) which is provided by just that package:

rpm -q --whatprovides "libjack.so.0()(64bit)"
jack-audio-connection-kit-1.9.9.5-2.fc19.x86_64

I would suggest to explicitly state the txt files instead of using a wildcard, as there are only two. Same goes for CHANGES.log. Also consider to add the TODO file.

Please submit your patches and the corrected desktop files, if you haven't already. Leave according comments in the spec file! Same goes for the FSF postal address issue. You may also suggest to put a license declaration inside the files that are missing one now.

Remains from my former comment:

cp -rp src/frontend/kluppe/%{name}.png ... -- The r doesn't serve a purpose there.

Assuming you can easily handle all these issues: =APPROVED=

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 53 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/1026252-kluppe/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.

I also tested PPC.

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

Started it, clicked around

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kluppe-0.6.15-2.fc21.x86_64.rpm
          kluppe-0.6.15-2.fc21.src.rpm
kluppe.x86_64: E: incorrect-fsf-address /usr/share/doc/kluppe/LICENSE.txt
kluppe.x86_64: W: no-manual-page-for-binary klopfer
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kluppe
kluppe.x86_64: E: incorrect-fsf-address /usr/share/doc/kluppe/LICENSE.txt
kluppe.x86_64: W: no-manual-page-for-binary klopfer
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
kluppe (rpmlib, GLIBC filtered):
    jack-audio-connection-kit
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjack.so.0()(64bit)
    liblo.so.7()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libusb-0.1.so.4()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
kluppe:
    application()
    application(kluppe.desktop)
    kluppe
    kluppe(x86-64)



Source checksums
----------------
http://kluppe.klingt.org/downloads/kluppe-0.6.15.tar.gz :
  CHECKSUM(SHA256) this package     : fa6c63ed7790b6b4052abcf162efd38793adecb6cf56b9c6b420b8095631a277
  CHECKSUM(SHA256) upstream package : fa6c63ed7790b6b4052abcf162efd38793adecb6cf56b9c6b420b8095631a277


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1026252
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Volker Fröhlich 2014-05-19 11:13:50 EDT
I still don't fully understand why the final package needs the additional icon.
Comment 5 Volker Fröhlich 2014-06-04 20:13:55 EDT
Brendan?
Comment 6 Brendan Jones 2014-06-05 03:03:08 EDT
Hi Volker,

snowed under with work at the moment. Will get to this next week.

thanks

Note You need to log in before you can comment on or make changes to this bug.